> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enables a webhook setting



## OpenAPI

````yaml /openapi.yml post /api/v2/webhooks/{webhookId}/enable
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/webhooks/{webhookId}/enable:
    post:
      tags:
        - Webhooks
      summary: Enables a webhook setting
      operationId: api-webhook-enable
      parameters:
        - name: webhookId
          in: path
          description: The webhook that you want to enable.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
components:
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````